<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00003000ItemEscopoFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection = $entityManager->getConnection();
    }
    
    /**
     * A função "validaServicoEscopo" verifica se o serviço 
     * que está sendo relacionado já está relacionado na tabela.
     */
    
    public function validaServicoEscopo($params){
        
        $queryValidaServEscopo = "SELECT COUNT(*) AS VALIDASERV
                                    FROM FCT_ITESCOPOPROPOSTA
                                   WHERE CDSERVORCA IN (".$params['CDSERVORCA'].")
                                     AND NRTIPOORCAMENTO = :NRTIPOORCAMENTO
                                     AND NRORG = :NRORG";
        
        unset($params['CDSERVORCA']);
        $std = $this->connection->prepare($queryValidaServEscopo);
        $std->execute($params);
        $returnValidaServEscopo = $std->fetchAll();
        return $returnValidaServEscopo;
    }
}
?>